What do I need to be able to watch the new site correctly?
Posted by Scott Williams on 17 June 2014 02:53 PM

A: To play the movies you need to have a PC, Mac or Linux computer with the latest flash player version installed and the latest Java version. You can download the latest Flash player version here and java here.

You can also watch our site on any smartphone using Android, apple iOs or Mobile Windows 8.

We also recommend you to browse our site using the latest Google Chrome, Mozilla Firefox or Safari browsers. Cookies should be enabled.


Help Desk Software by Kayako goldaccess.helpserve.com